#
# spec file for package libtxc_dxtn
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libtxc_dxtn
Version:        1.0.1
Release:        2.2
Summary:        Open source implementation of the patent infridged S3 Texture Compression
License:        MIT
Group:          System/Libraries
Url:            http://people.freedesktop.org/~cbrill/libtxc_dxtn/
Source0:        libtxc_dxtn-1.0.1.tar.bz2
BuildRequires:  Mesa-devel
BuildRequires:  libtool
# Just replace s2tc as we are drop-in patented version
Provides:       s2tc = %{version}
Obsoletes:      s2tc < %{version}
Supplements:    Mesa-libGL1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lib txc-dxtn is an open source implementation of the patent infridged S3
Texture Compression (S3TC) for use with the open source OpenGL implementation
MESA.

%package devel
Summary:        Open source implementation of the patent infridged S3 Texture Compression
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Lib txc-dxtn is an open source implementation of the patent infridged S3
Texture Compression (S3TC) for use with the open source OpenGL implementation
MESA.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtxc_dxtn.so

%files devel
%defattr(-,root,root)
%{_includedir}/txc_dxtn.h

%changelog
* Mon Nov 17 2014 scarabeus@opensuse.org
- Instead of conflict do provides
- Remove useless tags
- Cleanup a bit
* Wed Apr 17 2013 damianatorrpm@gmail.com
- Add Conflicts
- Add Group tag to devel package
* Tue Dec 18 2012 pontostroy@gmail.com
- initial packaging
